// Copyright 2013 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

var port = null;

function onDisconnected() {
	chrome.tabs.query({active: true, currentWindow: true}, function(tabs){
		chrome.tabs.sendMessage(tabs[0].id, 'install|install');
	});

   port = null;
}

function onClientMessage(message) {
	chrome.tabs.query({active: true, currentWindow: true}, function(tabs){
		chrome.tabs.sendMessage(tabs[0].id, message);
	});
}

function connect()	{
  var hostName = "webzen.starter";
  port = chrome.runtime.connectNative(hostName);
  port.onDisconnect.addListener(onDisconnected);
  port.onMessage.addListener(onClientMessage);
}

chrome.runtime.onMessageExternal.addListener(function(request, sender, sendResponse) {
	if (request.data == 'checkExt') {
		sendResponse('exist');
    } else {
		if (request.data != 'Close') {
			connect();
		}
		port.postMessage(request.data);
	}
});